<div class="dropdown-component" id="qa-dropdown-component" [ngClass]="{grouped: isGrouped}" [ngStyle]="customStyles">
  <label class="label" *ngIf="label" id="qa-label">{{ label }}
    <span class="secondary-label" *ngIf="secondaryLabel">{{ secondaryLabel }}</span>
  </label>
  <div class="dropdown-wrapper">
    <p-dropdown
      #dropdown
      [(ngModel)]="selectedItem"
      [options]="items"
      [optionLabel]="optionLabel"
      [showClear]="showClear"
      [placeholder]="placeholderText"
      [disabled]="isDisabled"
      [autoDisplayFirst]="false"
      (onChange)="onChangeData($event)"
      styleClass="custom-dropdown"
      dropdownIcon="pi pi-caret-down"
      [group]="isGrouped"
      name="selectedItem"
      [virtualScroll]="enableVirtualScroll"
      [itemSize]="itemSize"
      ngDefaultControl
    >
      <ng-template let-group pTemplate="group" *ngIf="isGrouped">
        <div class="grouped-view">
          <span class="text">{{group.label}}</span>
        </div>
      </ng-template>
      <ng-template let-item pTemplate="item" *ngIf="showIcons">
        <div class="item">
          <i [class]="'icon ' + iconClass" *ngIf="iconClass"></i>
          <img [src]="item.imageUrl ? item.imageUrl : ''" alt="icon" class="image"/>
          <span class="text">{{item.label}}</span>
          <span class="remove-icon icon-cross" *ngIf="showRemove" (click)="removeItemClickFn($event, item)"></span>
        </div>
      </ng-template>
    </p-dropdown>
    <span class="custom-clear icon-cross" *ngIf="showCustomClear" (click)="handleClearClick()"></span>
  </div>
  <div class="helper-text" *ngIf="helperText">{{ helperText }}</div>
</div>
